searchData={"items":[{"type":"module","title":"DomHelpers","doc":"Just `use DomHelpers` to import all the methods.","ref":"DomHelpers.html"},{"type":"module","title":"DomHelpers.Selectors","doc":"Collection of methods to simplify the creation of complex selectors.","ref":"DomHelpers.Selectors.html"},{"type":"function","title":"DomHelpers.Selectors.with_attr/2","doc":"Complements the selector by checking that the attribute is present.","ref":"DomHelpers.Selectors.html#with_attr/2"},{"type":"function","title":"DomHelpers.Selectors.with_attr/3","doc":"Complements the selector by checking that the attribute has the given value.\n\nValue can either be a value or a tuple `{matcher_name, value}` where `matcher_name`\ncan be one of:\n\n- `:contains_word` for `~=`.\n- `:contains` for `*=`.\n- `:equal` for `=`.\n- `:ends_with` for `$=`.\n- `:starts_with` for `^=`.\n- `:subcode` for `|=`.\n\nFor more information on these selectors, please check [MDN](https://developer.mozilla.org/en-US/docs/Web/CSS/Attribute_selectors).","ref":"DomHelpers.Selectors.html#with_attr/3"},{"type":"function","title":"Examples - DomHelpers.Selectors.with_attr/3","doc":"iex> with_attr(\"input\", \"type\", \"text\")\n~s/input[\"type\"=\"text\"]/\n\niex> with_attr(\"input\", \"class\", {:contains_word, \"hidden\"})\n~s/input[\"class\"~=\"hidden\"]/\n\niex> with_attr(\"input\", \"type\", {:equal, \"text\"})\n~s/input[\"type\"=\"text\"]/\n\niex> with_attr(\"div\", \"data-test\", {:ends_with, \"editor\"})\n~s/div[\"data-test\"$=\"editor\"]/\n\niex> with_attr(\"div\", \"data-test\", {:starts_with, \"editor\"})\n~s/div[\"data-test\"^=\"editor\"]/\n\niex> with_attr(\"main\", \"lang\", {:subcode, \"es\"})\n~s/main[\"lang\"|=\"es\"]/","ref":"DomHelpers.Selectors.html#with_attr/3-examples"},{"type":"function","title":"DomHelpers.Selectors.with_attrs/2","doc":"Like `with_attr/2` but several attributes can be passed at once.\n\nAttributes can be passed as a map or keywords. In both cases, keys are the names\nof the attributes, while the keys can be:\n\n- `true` for just checking that the attribute is present.\n- `false` for checking that the attribute is not present.\n- Any other value would be passed directly as attribute value to `with_attr/3`. Check\n  its documentation for all the options.","ref":"DomHelpers.Selectors.html#with_attrs/2"},{"type":"function","title":"Examples - DomHelpers.Selectors.with_attrs/2","doc":"iex> with_attrs(\"input\", type: \"checkbox\", checked: true)\n~s/input[\"type\"=\"checkbox\"][\"checked\"]/\n\niex> with_attrs(\"input\", name: false, class: {:contains_word, \"hola\"}, \"data-test\": false)\n~s/input[\"class\"~=\"hola\"]:not([\"name\"]):not([\"data-test\"])/","ref":"DomHelpers.Selectors.html#with_attrs/2-examples"},{"type":"function","title":"DomHelpers.Selectors.with_class/2","doc":"Add the class selector to the given one.","ref":"DomHelpers.Selectors.html#with_class/2"},{"type":"function","title":"Examples - DomHelpers.Selectors.with_class/2","doc":"iex> with_class(\"div\", \"hidden\")\n\"div.hidden\"\n\niex> with_class(\"span\", \"flex\")\n\"span.flex\"","ref":"DomHelpers.Selectors.html#with_class/2-examples"},{"type":"function","title":"DomHelpers.Selectors.with_classes/2","doc":"Checks if the selector contains the given classes.","ref":"DomHelpers.Selectors.html#with_classes/2"},{"type":"function","title":"Examples - DomHelpers.Selectors.with_classes/2","doc":"iex> with_classes(\"div\", ~w(flex mb-4))\n\"div.flex.mb-4\"\n\niex> with_classes(\"span\", ~w(p-1 m-2))\n\"span.p-1.m-2\"","ref":"DomHelpers.Selectors.html#with_classes/2-examples"},{"type":"function","title":"DomHelpers.Selectors.without_attr/2","doc":"Complements the selector by checking that it does not have the given attribute.","ref":"DomHelpers.Selectors.html#without_attr/2"},{"type":"function","title":"Examples - DomHelpers.Selectors.without_attr/2","doc":"iex> without_attr(\"input\", \"checked\")\n~s/input:not([\"checked\"])/","ref":"DomHelpers.Selectors.html#without_attr/2-examples"},{"type":"function","title":"DomHelpers.Selectors.without_class/2","doc":"Modifies the selector to check it does not have the given class.","ref":"DomHelpers.Selectors.html#without_class/2"},{"type":"function","title":"Examples - DomHelpers.Selectors.without_class/2","doc":"iex> without_class(\"div\", \"hidden\")\n~s/div:not(.hidden)/","ref":"DomHelpers.Selectors.html#without_class/2-examples"},{"type":"function","title":"DomHelpers.Selectors.without_classes/2","doc":"Modifies the selector to check it does not contain the given classes.","ref":"DomHelpers.Selectors.html#without_classes/2"},{"type":"function","title":"Examples - DomHelpers.Selectors.without_classes/2","doc":"iex> without_classes(\"div\", ~w(flex mb-4))\n~s/div:not(.flex):not(.mb-4)/","ref":"DomHelpers.Selectors.html#without_classes/2-examples"}],"content_type":"text/markdown"}